package com.csnf.service;

import com.csnf.entity.Product;
import com.csnf.util.Conditional;
import com.csnf.util.PageUtil;

import java.util.List;

public interface IProductService {
    public void addProduct(Product product);
    public Product getProductDetailsById(Integer productId);
    public void updateProduct(Product product);
    public void deleteProduct(Integer productId);
    public List<Product> getAllProduct(PageUtil pageUtil);
    public List<Product> getProductByConditional(Conditional conditional, PageUtil pageUtil);
}
